| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ob::SpatialModerateFilter Class Reference

Spatial moderate filter smooths the image by calculating frame with filter window size,magnitude and disp diff settings. More...

`#include <Filter.hpp>`

Inheritance diagram for ob::SpatialModerateFilter:

## Public Member Functions
| SpatialModerateFilter ()
OBUint8PropertyRange | getSizeRange ()
| Get the spatial moderate filter window size range.
OBUint8PropertyRange | getMagnitudeRange ()
| Get the spatial moderate filter magnitude range.
OBUint16PropertyRange | getDispDiffRange ()
| Get the spatial moderate filter dispdiff range.
OBSpatialModerateFilterParams | getFilterParams ()
| Get the spatial moderate filter params.
void | setFilterParams (OBSpatialModerateFilterParams params)
| Set the spatial moderate filter params.
Public Member Functions inherited from ob::Filter
| Filter ()
| Filter (std::shared_ptr< FilterImpl > impl)
virtual | ~Filter ()=default
virtual void | reset ()
| ReSet the filter, freeing the internal cache, stopping the processing thread, and clearing the pending buffer frame when asynchronous processing is used.
void | enable (bool enable)
| enable the filter
bool | isEnabled ()
| Return Enable State.
virtual std::shared_ptr< Frame > | process (std::shared_ptr< Frame > frame)
| Processes a frame synchronously.
virtual void | pushFrame (std::shared_ptr< Frame > frame)
| Pushes the pending frame into the cache for asynchronous processing.
virtual void | setCallBack (FilterCallback callback)
| Set the callback function for asynchronous processing.
virtual const char * | type ()
| Get the type of filter.
template<typename T >
bool | is ()
| Check if the runtime type of the filter object is compatible with a given type.
template<typename T >
std::shared_ptr< T > | as ()
| Convert the filter object to a target type.

## Additional Inherited Members
Protected Attributes inherited from ob::Filter
std::shared_ptr< FilterImpl > | impl_
std::string | type_

## Detailed Description

Spatial moderate filter smooths the image by calculating frame with filter window size,magnitude and disp diff settings.

Definition at line 342 of file Filter.hpp.

## Constructor & Destructor Documentation

## ◆ SpatialModerateFilter()

ob::SpatialModerateFilter::SpatialModerateFilter | ( |  | ) |

## Member Function Documentation

## ◆ getSizeRange()

OBUint8PropertyRange ob::SpatialModerateFilter::getSizeRange | ( |  | ) |

Get the spatial moderate filter window size range.

Returns
  OBUint8PropertyRange the windows size value of property range.

## ◆ getMagnitudeRange()

OBUint8PropertyRange ob::SpatialModerateFilter::getMagnitudeRange | ( |  | ) |

Get the spatial moderate filter magnitude range.

Returns
  OBUint8PropertyRange the magnitude value of property range.

## ◆ getDispDiffRange()

OBUint16PropertyRange ob::SpatialModerateFilter::getDispDiffRange | ( |  | ) |

Get the spatial moderate filter dispdiff range.

Returns
  OBUint16PropertyRange the dispdiff value of property range.

## ◆ getFilterParams()

OBSpatialModerateFilterParams ob::SpatialModerateFilter::getFilterParams | ( |  | ) |

Get the spatial moderate filter params.

Returns
  OBSpatialModerateFilterParams

## ◆ setFilterParams()

void ob::SpatialModerateFilter::setFilterParams | ( | OBSpatialModerateFilterParams | params | ) |

Set the spatial moderate filter params.

Parameters

  params | OBSpatialModerateFilterParams.

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/Filter.hpp